/*
 * DataBeanFactory.java
 *
 * Created on 30 settembre 2007, 23.31
 *
 */

package it.jplasmide.doctool;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

/**
 *
 * @author Dario Lucia
 */
public class DataBeanFactory {
    
    /** Creates a new instance of DataBeanFactory */
    public DataBeanFactory() {
    
    }
    
    public DataBean parseDataBean(Element li) {
        String n = null,d = null,p = null,e = null;
        try {
            
            NodeList figli = li.getChildNodes();
            
            /* Nome */
            n = figli.item(0).getTextContent();
            /* Descrizione */
            d = figli.item(2).getTextContent();
            /* Prepost */
            p = figli.item(5).getTextContent();
            /* Example */
            e = figli.item(8).getTextContent();
           
            DataBean bean = new DataBean(n,d,p,e);
            return bean;
        } catch (Exception ex) {
            ex.printStackTrace();
            if(n != null)
                System.out.println("N: " + n);
            if(d != null)
                System.out.println("D: " + n);
            if(p != null)
                System.out.println("P: " + n);
            if(e != null)
                System.out.println("E: " + n);
            return null;
        }
    }
    
}
