/*
 * PlasmConfigManager.java
 *
 * Created on 30 settembre 2007, 13.11
 *
 */

package it.jplasmide.gui.utils;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;

/**
 *
 * @author dario
 */
public class PlasmConfigManager {
    
    private static String configDir = ".plasm5ide";
    private static String configFile = "config";
    
    /* Write two lines */
    public static void save(String mzscheme,String plasm) {
        String userDir = System.getProperty("user.home");
        String filesep = System.getProperty("file.separator");
        String dir = userDir + filesep + configDir;
        
        File cdir = new File(dir);
        if(!cdir.exists())
            cdir.mkdir();
        
        
        
        try {
        File toSave = new File(dir + filesep + configFile);
        
        if(!toSave.exists())
            toSave.createNewFile();
        
        BufferedWriter bw = new BufferedWriter(new FileWriter(toSave));
        bw.write(mzscheme);
        bw.newLine();
        bw.write(plasm);
        bw.newLine();
        bw.close();
        
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    /* Read two lines from config file */
    public static String[] load() {
        String[] data = new String[2];
            
        data[0] = "-EMPTY-";
        data[1] = "-EMPTY-";
        
        String userDir = System.getProperty("user.home");
        String filesep = System.getProperty("file.separator");
        String ff = userDir + filesep + configDir + filesep + configFile;
        
        File toRead = new File(ff);
        if(toRead.exists()) {
            try {
            BufferedReader brr= new BufferedReader(new FileReader(toRead));
            data[0] = brr.readLine();
            data[1] = brr.readLine();
            brr.close();
            } catch(Exception e) {
                e.printStackTrace();
                return data;
            }
        }
        
        return data;
    }
    
}
